export declare type NotifyCallBack<U> = (value: Array<U>) => void;
export declare class ObservableArray<E> {
    private proxiedArray;
    private _notifyCallBack?;
    notifyCallBack: NotifyCallBack<E> | undefined;
    constructor(proxiedArray?: Array<E>);
    readonly length: number;
    set(key: number, value: E): void;
    get(key: number, value: E): E;
    readonly originArray: Array<E>;
    modifyArray(callback: (array: Array<E>) => Array<E>): void;
}
