/// <reference types="react" />
import { Component } from 'react';
import { ViewBase } from './ViewBase';
export declare const NotifyProperty: (param?: {
    isObservableArrayProperty: boolean;
}) => (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
export declare function ConnetVVM<VM extends ViewModelBase>(viewmodel: VM): <T extends new (...args: any[]) => ViewBase<{}, {}, {}>>(target: T) => any;
export declare class ViewModelBase {
    view: Component;
    noUpdate: boolean;
    dirtyObj: {};
    notifyValueChanged<V>(stateName: string, value: V): void;
    multiValueChanged(callback: () => void): void;
}
